## nyancat 1.0+git20120523.99dc310

=== Makefile ===
package = nyancat
version = 1.0
tarname = $(package)
distdir = $(tarname)-$(version)

all clean check nyancat:
	cd src && $(MAKE) $@

dist: $(distdir).tar.gz

$(distdir).tar.gz: $(distdir)
	tar chof - $(distdir) | gzip -9 -c > $@
	rm -rf $(distdir)

$(distdir): FORCE
	mkdir -p $(distdir)/src
	cp Makefile $(distdir)
	cp src/Makefile $(distdir)/src
	cp src/nyancat.c $(distdir)/src
	cp src/animation.h $(distdir)/src
	cp src/telnet.h $(distdir)/src

FORCE:
	-rm $(distdir).tar.gz >/dev/null 2>&1
	-rm -rf $(distdir) >/dev/null 2>&1

distcheck: $(distdir).tar.gz
	gzip -cd $(distdir).tar.gz | tar xvf -
	cd $(distdir) && $(MAKE) all
	cd $(distdir) && $(MAKE) check
	cd $(distdir) && $(MAKE) clean
	rm -rf $(distdir)
	@echo "*** Package $(distdir).tar.gz is ready for distribution."

install: all
	install src/nyancat /usr/bin/${package}

.PHONY: FORCE all clean check dist distcheck install

=== debian/changelog ===
nyancat (1.0+git20120523.99dc310-1) unstable; urgency=low

  * New upstream snapshot
    - Fixes buildflags being incorrectly passed
    - Pushed nyancat manpage upstream; Removed Debian copy
  * Switch to debhelper v9
  * Use reconf-inetd to provide nyancat-server configs
    - Provide nyancat-server as symlink to nyancat
    - Add versioned dependency on nyancat
    - Remove now redundant nyancat-server manpage and postrm
    - Update package description to reflect this switch
    - Update postinst to aid transition to reconf-inetd
    - Add IPv6 support

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Tue, 05 Jun 2012 02:40:11 +0100

nyancat (0.1+git20120401.5a88b86-1) unstable; urgency=low

  * Initial release (Closes: #661565)
   - Many thanks to Jakub Wilk for sponsoring this package. 

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 19 Apr 2012 23:01:49 +0100

=== debian/control ===
Source: nyancat
Section: misc
Priority: extra
Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: https://github.com/klange/nyancat

Package: nyancat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Animated terminal Nyancat
 nyancat is a program to display an animated poptart cat in your terminal.
 .
 This is a standalone program only. To serve nyancat to many users, the
 nyancat-server package is required.

Package: nyancat-server
Architecture: all
Depends: nyancat (>= ${source:Version}), openbsd-inetd | inet-superserver, reconf-inetd, ${misc:Depends}
Conflicts: telnetd
Description: Animated terminal Nyancat server configurations
 nyancat-server contains the configuations required to quickly set up a nyancat
 server. This allows the animated poptart cat to be served to many users via
 telnet.
 .
 Installing this package will automatically configure and activate a nyancat
 telnet server.

## nyancat 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 package = nyancat
-version = 1.0
+version = 1.2.1
 tarname = $(package)
 distdir = $(tarname)-$(version)
 
@@ -34,5 +34,6 @@
 
 install: all
 	install src/nyancat /usr/bin/${package}
+	gzip -9 -c < nyancat.1 > /usr/share/man/man1/nyancat.1.gz
 
 .PHONY: FORCE all clean check dist distcheck install

=== debian/changelog ===
nyancat (1.2.1-1) unstable; urgency=low

  * New upstream release
    - Fix hyphen-used-as-minus-sign errors in manpage. Thanks to Jakub Wilk
      for reporting.
  * Remove debian/nyancat.1
    - Nyancat manpage has been pushed upstream

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 04 Jul 2013 00:57:22 +0100

nyancat (1.2-1) unstable; urgency=low

  * New upstream release
    - Remove support for toaruos
    - Rename animation.h to animation.c
  * Upload to unstable
  * Switch from git snapshots to upstream tarball releases
    - Add debian/watch, remove old watchfile lintian override
  * Bump Standards-Version to 3.9.4
    - No changes required

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 01 Jul 2013 23:05:20 +0100

nyancat (1.1+git20130307.43097eb-1) experimental; urgency=low

  * New upstream snapshot
    - Add support for the Suckless terminal
    - Changed color palette to 256 color mode
    - Fix potential bug in option processing code
    - Add CHANGELOG file
  * Update 01-nyancat-debhelper.patch to reflect upstream Makefile changes

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 14 Mar 2013 22:20:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/klange/nyancat
 
 Package: nyancat

## nyancat 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 package = nyancat
-version = 1.2.1
+version = 1.2.2
 tarname = $(package)
 distdir = $(tarname)-$(version)

=== src/Makefile ===
OBJECTS = nyancat.o

all: nyancat

nyancat: $(OBJECTS)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(OBJECTS) -o $@

clean:
	-rm -f $(OBJECTS) nyancat

check: all
	# Unit tests go here. None currently.
	@echo "*** ALL TESTS PASSED ***"

.PHONY: all clean check

=== debian/changelog ===
nyancat (1.2.2-1) unstable; urgency=medium

  * New upstream release
    - Upstream homepage has changed; Replace references to
      miku.acm.uiuc.edu with nyancat.dakko.us
  * Bump Standards-Version to 3.9.5
    - No changes required

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Fri, 13 Dec 2013 22:40:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/klange/nyancat
 
 Package: nyancat

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

get-orig-source:
	debian/get-git-source.sh

%:
	dh $@

## nyancat 1.4.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 package = nyancat
-version = 1.2.2
+version = 1.4.4
 tarname = $(package)
 distdir = $(tarname)-$(version)

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,9 @@
 OBJECTS = nyancat.o
+
+CC	?=
+CFLAGS	 ?= -g -Wall -Wextra -std=c99 -pedantic -Wwrite-strings
+CPPFLAGS ?=
+LDFLAGS  ?=
 
 all: nyancat

=== debian/changelog ===
nyancat (1.4.4-1) unstable; urgency=medium

  * The 'MOAR NYANCAT' release
  * New upstream release
    - Skip telnet intro by default
    - Add terminal size autodetection
    - Minor animation frame fixes
  * d/control: fix package description typo s/configuations/configurations/
    (Closes: #736622)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 17 Jul 2014 02:30:08 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends: nyancat (>= ${source:Version}), openbsd-inetd | inet-superserver, reconf-inetd, ${misc:Depends}
 Conflicts: telnetd
 Description: Animated terminal Nyancat server configurations
- nyancat-server contains the configuations required to quickly set up a nyancat
+ nyancat-server contains the configurations required to quickly set up a nyancat
  server. This allows the animated poptart cat to be served to many users via
  telnet.
  .

## nyancat 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 package = nyancat
-version = 1.4.4
+version = 1.5.1
 tarname = $(package)
 distdir = $(tarname)-$(version)

=== debian/changelog ===
nyancat (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * reconf-inetd is going to be removed from the archive; migrate
    nyancat-server to use systemd socket activation. Mark package as linux-any
    accordingly. kFreeBSD/Hurd users will have to manually configure their
    inetd server. (Closes: #733866)
  * Bump Standards-Version to 3.9.6
      - No changes required
  * d/rules: set DEB_BUILD_MAINT_OPTIONS=hardening=+all

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 13 Feb 2016 18:44:55 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

get-orig-source:
	debian/get-git-source.sh

%:
	dh $@ --with systemd

## nyancat 1.5.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 package = nyancat
-version = 1.5.1
+version = 1.5.2
 tarname = $(package)
 distdir = $(tarname)-$(version)

=== debian/changelog ===
nyancat (1.5.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 22:01:17 +0200

nyancat (1.5.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:29:42 +0200

nyancat (1.5.2-0.1) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #948536)
  * New upstream release.
  * debian/compat: Switch from debian/compat to versioned debhelper-compat
    B-D.
  * debian/rules:
    + Remove --with dh_systemd. It's no longer required by newer debhelper
      versions.
  * debian/control:
    + Bump Standards-Version to 4.4.1. No changes required.
    + B-Ds: Remove dh-systemd, it's oboslete now. (Closes: #958614)
    + B-Ds: Use debhelper-compat = 12 instead.
    + Switch from priority extra to optional.
    + Add Rules-Requires-Root flag.
  * debian/copyright: Switch to secure Format URL.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 09 Jan 2020 17:50:15 +0100

nyancat (1.5.1-1+build1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild in a clean environment to add the systemd unit for
    nyancat-server.  (Closes: #947292)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Jan 2020 22:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: nyancat
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
 Homepage: https://github.com/klange/nyancat
+Rules-Requires-Root: no
 
 Package: nyancat
 Architecture: any
@@ -17,7 +18,7 @@
 
 Package: nyancat-server
 Architecture: all
-Depends: nyancat (>= ${source:Version}), openbsd-inetd | inet-superserver, reconf-inetd, ${misc:Depends}
+Depends: nyancat (>= ${source:Version}), ${misc:Depends}
 Conflicts: telnetd
 Description: Animated terminal Nyancat server configurations
  nyancat-server contains the configurations required to quickly set up a nyancat

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	debian/get-git-source.sh
 
 %:
-	dh $@ --with systemd
+	dh $@
